#
# spec file for package telepathy-mission-control
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://mission-control.sourceforge.net/

Name:           telepathy-mission-control
Version:        5.16.3
Release:        5.3
Summary:        Telepathy Mission Control instant messaging connection manager
License:        LGPL-2.1
Group:          System/Libraries
Source:         http://telepathy.freedesktop.org/releases/telepathy-mission-control/%{name}-%{version}.tar.gz
# PATCH-NEEDS-REBASE lockdown-protocols.patch fdo21699 vuntz@novell.com -- Sent upstream for discussion, it will need a rewrite for MC5 WAS: PATCH-FEATURE-UPSTREAM
Patch1:         lockdown-protocols.patch
BuildRequires:  dbus-1-glib-devel >= 0.73
BuildRequires:  fdupes
BuildRequires:  libxslt-devel
BuildRequires:  python-xml
BuildRequires:  telepathy-glib-devel >= 0.19.0
BuildRequires:  pkgconfig(libnm-glib) >= 0.7.0
Requires:       dbus-1-glib >= 0.73
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, to remove the need to have in each program the
account definitions and credentials, to manage channel handling/request
and to manage presence statuses.

%package -n libmission-control-plugins0
Summary:        Telepathy Mission Control instant messaging connection manager
Group:          Development/Libraries/C and C++
Recommends:     %{name} = %{version}

%description -n libmission-control-plugins0
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, to remove the need to have in each program the
account definitions and credentials, to manage channel handling/request
and to manage presence statuses.

%package devel
Summary:        Telepathy Mission Control instant messaging connection manager
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       libmission-control-plugins0 = %{version}

%description devel
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, to remove the need to have in each program the
account definitions and credentials, to manage channel handling/request
and to manage presence statuses.

%prep
%setup -q
# NEEDS REBASE
# %patch1 -p0

%build
%configure --disable-static --with-pic
%__make %{?jobs:-j %jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la
# Create directory that will contain the plugins (fail if it exists, so we can remove this hack)
PLUGINDIR=`PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig pkg-config --variable=plugindir mission-control-plugins`
test ! -d %{buildroot}${PLUGINDIR}
install -d %{buildroot}${PLUGINDIR}
# create symlinks for man pages
%fdupes -s %{buildroot}%{_mandir}
# create hardlinks for the rest
%fdupes %{buildroot}

%post
%glib2_gsettings_schema_post

%postun
%glib2_gsettings_schema_postun

%post -n libmission-control-plugins0 -p /sbin/ldconfig

%postun -n libmission-control-plugins0 -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/mc-tool
%{_bindir}/mc-wait-for-name
%{_libexecdir}/mission-control-5
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.AccountManager.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.MissionControl5.service
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_mandir}/man1/mc-tool.1%{?ext_man}
%{_mandir}/man1/mc-wait-for-name.1%{?ext_man}
%{_mandir}/man8/mission-control-5.8%{?ext_man}

%files -n libmission-control-plugins0
%defattr(-,root,root)
%{_libdir}/libmission-control-plugins.so.*
# Directory containing the plugins
%dir %{_libdir}/mission-control-plugins.0

%files devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/mission-control-plugins/
%{_includedir}/mission-control-5.5/
%{_libdir}/libmission-control-plugins.so
%{_libdir}/pkgconfig/mission-control-plugins.pc

%changelog
* Mon Aug 25 2014 zaitor@opensuse.org
- Update to version 5.16.3:
  + Fixes: mcd-connection: use tp_asv_new() properly (fdo#81751).
- Changes from version 5.16.2:
  + Fixes:
  - Don't crash in 'mc-tool auto-presence' subcommand
    (fdo#74187).
  - Fix parallel build.
  - Use G_STRFUNC in mission-control-plugins's DEBUG macro.
  - Fix a crash when GOA is restarted (fdo#79827).
- Drop 0001-mc-tool-fix-setting-automatic-presence.patch: Fixed
  upstream.
* Thu Apr  3 2014 mgorse@suse.com
- Add 0001-mc-tool-fix-setting-automatic-presence.patch: fix crash
  setting auto-presence (fdo#74187).
* Mon Mar  3 2014 zaitor@opensuse.org
- Update to version 5.16.1:
  + Release logind sleep/shutdown inhibitor correctly, fixing slow
    sleep/shutdown (fdo#73599).
  + Avoid assertion failure for offline accounts that support power
    saving (fdo#72652).
  + Fix a crash if unable to create
    XDG_DATA_HOME/telepathy/mission-control (fdo#72138).
* Tue Nov 19 2013 dimstar@opensuse.org
- Drop pkgconfig(upower-glib) BuildRequires: the required API are
  no longer available in UPower 1.0 and the corresponding
  functionality is already used from logind.
* Wed Oct  2 2013 dimstar@opensuse.org
- Update to version 5.16.0:
  + If a connection manager that stores avatars on the server is
    slow to discover whether we have a server-stored avatar, don't
    overwrite it with an outdated local avatar or lack-of-avatar.
    This was a regression in 5.15.0 (fdo#69885).
* Fri Sep 20 2013 dimstar@opensuse.org
- Update to version 5.15.1:
  + There is no longer a special configuration option for ConnMan
    connectivity monitoring.
  + On systems with NetworkManager, basic connectivity monitoring
    support no longer requires libnm-glib, although compiling with
    libnm-glib might still mean that disconnection can be detected
    more quickly.
  + gnome-keyring support has been removed.
  + Enhancements:
  - Use GIO's GNetworkMonitor plugins to monitor connectivity
    (fdo#56635).
  - Remove gnome-keyring integration in favour of recommending
    ServerAuthentication Handlers, which have better UI and don't
    expose passwords on D-Bus (fdo#32578).
  - Internal cleanup related to the connectivity code
    (fdo#68712).
  + Fixes:
  - Don't emit critical warnings if more than one emergency
    "service point" is provided, and don't leak memory if any are
    provided (fdo#55773).
  - Advertise Service and Hidden as properties that can be given
    when creating an account (fdo#33127).
  - Fix a likely crash when upgrading the storage format of
    accounts, a regression in 5.15.0 (fdo#69542).
  - Fix a crash when an account is disconnected while inspecting
    the self-contact, a regression in 5.15.0 (fdo#69542).
  - Make the regression tests pass with the parallel test harness
    used by default in Automake 1.13+ (fdo#69542).
- Drop libgnome-keyring-devel BuildRequires: no longer required.
- No longer pass --enable-gnome-keyring to configure, following
  upstreams feature drop.
* Sun May  5 2013 zaitor@opensuse.org
- Update to version 5.15.0:
  + Running this version of Mission Control for the first time will
    automatically migrate some account data to a new format. If you
    subsequently downgrade to an older version, it will no longer
    understand all account data.
  + Requirements:
  - GLib 2.32 is now required.
  - The regression tests now require Python 2.6.
  + Deprecations:
  - McpAccountStorage::altered, which appears to have never
    worked, is now deprecated (fdo#28288). Emit ::altered-one
    instead.
  - mcp_account_storage_iface_set_priority() etc. are now
    deprecated. Use, for instance, "iface->priority = prio"
    instead.
  + Enhancements:
  - Account storage plugins (McpAccountStorageIface) may, and
    should, implement the new set_attribute(), set_parameter()
    and owns() methods. These methods allow the plugin to know
    the type of each attribute or parameter, which is presented
    as a GVariant. (fdo#54872).
  - `mc-tool get <account> AutomaticPresence` now works
    (fdo#54780).
  - When running under GNOME 3 or Unity, MC will attempt to
    enable connections' power-saving features while the session
    is idle; this is currently effective for Google Talk XMPP
    connections (fdo#62530).
  + Fixes:
  - Update to the current ConnMan D-Bus API (fdo#56600).
  - If a stored parameter has a value inappropriate for its type
    (e.g. require-tls=2 where the connection manager expects
    require-tls to be boolean), invalidate the account, rather
    than treating the value as 0, "", [] etc. (fdo#54870).
  - Handle Connection errors better, and in particular, don't try
    to reconnect on SoftwareUpgradeRequired or ConnectionRefused
    (fdo#37844).
  - Handle errors from RequestConnection correctly, rather than
    as NetworkError (fdo#39334).
  - If the stored nickname for an account is the same as the
    normalized name (identifier), don't set it on connect, in
    case a better nickname is stored on the server (fdo#39381).
  - Emit Properties.PropertiesChanged for URISchemes, as per the
    upcoming telepathy-spec 0.27.1 (fdo#40393).
  - McpAccountStorage::altered-one now works as intended
    (fdo#54780).
  + Internal changes:
  - Refactor avatar and alias handling (fdo#55668).
  - Refactor account storage (fdo#54870, fdo#54872).
  - Improve regression test coverage for account storage
    (fdo#54873).
  - Start to remove uses of functions deprecated in
    telepathy-glib 0.20 (fdo#55391).
- Changes from version 5.14.1:
  + Fixes:
  - Only ignore passwords stored in our old gnome-keyring
    location if Empathy has actually copied them to its new
    location, fixing use of a gnome-keyring-enabled MC version
    with no Empathy or other SASLAuthentication handler (e.g.
    under Sugar). (fdo#59468).
  - Build successfully with Automake 1.13 (fdo#59605).
  - Isolate regression tests better (fdo#63119).
  - Respect NOCONFIGURE in autogen.sh (fdo#57165).
- Drop tmc-mailto-is-the-proper-URI-scheme.patch and
  tmc-fire-PropertiesChanged-on-URISchemes-change.patch, fixed
  upstream.
* Sun Jan 13 2013 zaitor@opensuse.org
- Added tmc-fire-PropertiesChanged-on-URISchemes-change.patch and
  tmc-mailto-is-the-proper-URI-scheme.patch needed to ensure
  visual feedback on sip accounts changes (fdo#40393).
* Thu Oct  4 2012 dimstar@opensuse.org
- Update to version 5.14.0:
  + There were no code changes since 5.13.2.
* Fri Sep 21 2012 dimstar@opensuse.org
- Update to version 5.13.2:
  + Configuration changes:
  - Accounts are now stored in the telepathy/mission-control
    subdirectory  of g_get_user_data_dir(). On Unix, this usually
    means ~/.local/share/telepathy/mission-control (follows
    $XDG_DATA_HOME and $XDG_DATA_DIRS variables)
  - ./configure --with-accounts-dir (at build time) and
    $MC_ACCOUNTS_DIR (at runtime) no longer change where new
    accounts are stored. They now set what Mission Control
    considers to be the "old" location for accounts; accounts in
    that directory will be moved into the new location. Using
    this option is deprecated.
  + Enhancements:
  - Migrate accounts and avatars from ~/.mission-control to the
    location described above (fdo#35896)
  - More removals of obsolete code and interfaces (fdo#54633)
  + Fixes:
  - Recover from incomplete password migrations caused by
    upgrading to Empathy 3 while running MC 5.12.1 or older
    (fdo#42088)
  - Omit generated file mcp-signals-marshal.h from tarballs
* Mon Sep 10 2012 dimstar@opensuse.org
- Update to version 5.13.1:
  + Changes:
  - On Unix platforms, umask() is now required.
  - If a connection manager announces two or more channels in the
    same NewChannels signal, behave as if it had announced each
    channel separately (fdo#52305)
  - Improve mc-tool: display Account.Storage settings, add
    Supersedes, add "dump" subcommand (fdo#53202)a
  - More internal reorganisation (fdo#54151)
  + Fixes:
  - Passwords are now deleted from gnome-keyring correctly
    (fdo#42088)
  - When migrating Butterfly accounts to Haze, do the migration
    even if Butterfly isn't installed, and copy the password as
    well as the username (deb#686835)
  - If compiled with UPower support, do not attempt to connect
    while going to sleep
  - Set up the altered-one signal for account storage backends
    correctly (fdo#52231)
  - If service-activated under both names
    o.fd.Telepathy.MissionControl5 and
    o.fd.Telepathy.AccountManager simultaneously, avoid one or
    both failing to activate due to a race condition (fdo#53220)
  - When built for Android, don't use GSettings (fdo#53497).
* Tue Jul 24 2012 dimstar@opensuse.org
- Update to version 5.13.0:
  + Changes:
  - Remove support for many deprecated interfaces (fdo#49753,
    fdo#24762, fdo#24899, fdo#24914, fdo#49648)
  + Fixes:
  - Stop using deprecated telepathy-glib symbols.
  - fix access to freed memory (fdo#51842)
  - fix existing channel dispatching after using present/delegate
  - Invalid GValue in libaccounts storage plugin (fdo#48646)
  - Do not change RequestedPresence when disabling the account,
    otherwise it won't reconnect when enabling it (fdo#52259)
  - Let client decide which storage provider to use when creating
    an account (fdo#52231).
* Sat Jul 14 2012 zaitor@opensuse.org
- Update to version 5.12.1:
  + Fixes:
  - Stop using deprecated telepathy-glib symbols.
  - Fix access to freed memory (fdo#51842).
  - Fix existing channel dispatching after using
    present/delegate.
* Tue Apr  3 2012 vuntz@opensuse.org
- Update to version 5.12.0:
  + Add mcd_service_stop() and stop the service when SIGINT is
    sent (fdo#47054).
* Wed Feb 22 2012 vuntz@opensuse.org
- Update to version 5.11.0:
  + Enhancements:
  - Migrate telepathy-butterfly accounts to telepathy-haze
    automatically, if Haze is installed (fdo#42814)
  - Improve mc-tool (fdo#45308)
  - Add Account.Supersedes (fdo#42814)
  + Fixes:
  - Prefer to destroy arrays with _unref instead of _free
  - Add support for building on Android (fdo#42508) and Windows
  - Make the NetworkManager integration optional (fdo#43791)
  - Don't crash on Get('Parameters') for a CM that isn't
    installed (fdo#44939)
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Nov 15 2011 vuntz@opensuse.org
- Update to version 5.10.1:
  + Fixes:
  - An unnecessary enum definition, which conflicted with the one
    provided by Empathy, has been removed from the GSettings
    schema.
- Changes from version 5.10.0:
  - fdo#41927: It is now possible to install the MC test suite.
  - fdo#42068: MC now has a GSettings key to force it to believe it
    is online, even if NM/ConnMan says it is offline. This key is
    kept in sync with the corresponding GSettings key provided by
    Empathy by some black magic with aliased DConf paths.
  - deb#644589: fix build with UPower but no NM or ConnMan
  - fdo#42548: Account.ChangingPresence is now more accurate
    (particularly on disabled accounts).
- Use %%glib2_gsettings_schema_* macros for the new GSettings schema
  file.
* Wed Oct  5 2011 vuntz@opensuse.org
- Update to version 5.9.3:
  + Enhancements:
  - Mission Control can now use either Network Manager or ConnMan
    (or neither; the choice is controlled by a configure flag) to
    monitor the network connection going up and down, and bring
    IM accounts on and offline accordingly (whether due to
    ConnectAutomatically being True, or RequestedConnection being
    non-offline). (fdo#38978)
  - Mission Control now listens for notifications from upower
    that the machine is about to suspend, and tears down active
    connections. This should help avoid the user appearing to be
    online for a few minutes after they suspend their machine,
    until the server notices that they've gone. (fdo#28370)
  + Fixes:
  - The regression tests now work with D-Bus ≥ 1.5.6. (fdo#41090)
  - An obscure assertion failure in the client bus name
    monitoring code is fixed, we hope! (fdo#39767)
  - MC no longer crashes when recovering from a client crashing
    if that client was an Observer or Approver which had claimed
    the channel.
- Add pkgconfig(libnm-glib) and pkgconfig(upower-glib)
  BuildRequires for the new features.
* Thu Sep  8 2011 vuntz@opensuse.org
- Update to version 5.9.2:
  + Changes:
  - The Compat.Profile property on accounts has been removed; as
    has libmcclient, which used it but which is no longer widely
    used.
  - Documentation for the old extension API,
    libmissioncontrol-server, is no longer built. Please use the
    mission-control-plugins API instead!
  + Fixes:
  - fdo#37861: Memory leak in collect_satisfied_requests in
    mcd-dispatch-operation.c
  - fdo#40562: Connection attempts aborted by McdTransport
    plugins did not trigger a status change signal - now they do
  - fdo#29022: Dispatch channels with no (known) handlers to
    observers anyway
  - fdo#40551: Memory leaks in the approval mechanism plugged
  - mission-control-plugins now explicitly links to GIO.
  - mc-tool now parses 'bool:foo=true' as setting 'foo' to True,
    as opposed to setting 'foo' to False!
  - fdo39796: always fully remove secret parameters when they are
    un-set.
  + Enhancements:
  - fdo#40337: improve error reporting when creating an account
    fails.
* Tue Sep  6 2011 vuntz@opensuse.org
- Manually create the directory that will contain the
  mission-control plugins, and own it.
* Fri Jul 22 2011 dimstar@opensuse.org
- Update to version 5.9.1:
  + fdo#34025: when an Observer with Recover=TRUE catches up on
    channels, don't miss out channels that have run their observers
    but have not completed dispatching, mainly those waiting for
    approvers.
  + Fix various memory leaks.
  + If a storage plugin changes our nickname, propagate it to the
    CM.
  + The McdTransport framework should have considered "no plugins"
    to be equivalent to "procced", not "abort".
  + Some files were missing G_END_DECLS, which broke C++ includes.
- Run spec-cleaner.
* Thu May 19 2011 dimstar@opensuse.org
- Update to version 5.9.0:
  + Enhancements:
  - DelegateChannels and PresentChannel from spec version 0.23.2
    have been implemented.
  + Fixes:
  - fdo#36483: All tests now pass, even with newer tp-glib.
  - Implementation of the draft ChannelDispatcher.Messages
    interface did not correctly handle all internal requests
    which should have been dispatched to an existing channel.
* Wed May 18 2011 dimstar@opensuse.org
- Update to version 5.7.11:
  + Enhancements:
  - fdo#36845: dispatch operation policy plugins can implement
    handler_is_suitable_async(), to say whether a Handler is
    acceptable for a particular dispatch operation
  - All members of McpDBusAclIface may be NULL
  - The McpDispatchOperationPolicyIface struct is directly
    visible to plugins
  - The implementation vtable of MCP plugin classes is no longer
    concealed, and maybe assigned to directly by implementations
    instead of using the _implement methods
  - More/better documentation for the MCP plugin classes
  + Fixes:
  - If enabled, the Aegis plugin is now statically linked into
    the MC executable rather than being a loadable module
  - Account plugins are no longer added to the cached list
    repeatedly
- Changes from version 5.7.10:
  + Enhancements:
  - Use the new arg0namespace matching to watch only interesting
    DBus name-owner-changed signals if DBus is new enough to
    allow this
  + Fixes:
  - Setting changes originating in storage backends (e.g.
    libaccounts) were not necessarily propagated to CMs if they
    were not parameters.
* Thu Apr  7 2011 fcrozat@novell.com
- Update to version 5.7.9:
  + Build failure due to warning/error promotion
- Changes from version 5.7.8:
  + Enhancements:
  - accounts can be flagged as "channels must always be
    dispatched" needed for telephony class accounts, but
    available generally.
  - Draft ChannelDispatcher.Messages interface implemented allows
    non-handlers to send messages to contacts.
  + Fixes:
  - Segfault in the external password storage properties
    interface.
  - SSO account deletions explicitly force Account.Removed to be
    emitted. They used to assume object disposal would happen
    immediately, which did not always happen.
  - The "Service" value for Maemo SSO accounts could be unset
    after account creation, a side effect of changes in 5.7.7.
  - Memory leak in one of the Maemo DBus ACL plugins.
  + Obsolescence:
  - Dead interface com.nokia.Account.Interface.Stats dropped
* Wed Mar 16 2011 fcrozat@novell.com
- Update to version 5.7.7:
  + Updates the Maemo SSO plugin in line with SSO changes
* Wed Mar  9 2011 fcrozat@novell.com
- Update to version 5.7.6:
  + Enhancements:
  - Support the Observer.DelayApprovers property.
- Changes from version 5.7.5:
  + Fixes:
  - Build failures with new --no-add-needed ld default behaviour
  - mc-tool: help no longer mentions obsolete add <profile>
    syntax.
  - Tests no longer hang forever if DBus name cannot be claimed.
- Changes from version 5.7.4:
  + Enhancements:
  - fdo#33271: implement ChannelDispatcher.RedispatchChannels()
  - fdo#34416: support for Account.I.ExternalPasswordStorage
  + Fixes:
  - fdo#34316: UpdateParameters: bad handling of DBus_Property
    and Has_Default in Unset argument.
- Changes from version 5.7.3:
  + Dependencies:
  - telepathy-glib ≥ 0.13.13 is now required
  + Enhancements:
  - The connection now uses
    Connection.Interface.ServicePoint.KnownServicePoints to
    determine which contacts correspond to emergency calls.
  - Request policy plugins cannot affect emergency calls any
    more.
  - mcd_debug now bypasses printf completely if neither
    debugging nor the debug cache is turned on.
  + Fixes:
  - Leak in the DBus ACL plugin mechanism fixed
  - Potential leak in mcd_master initialisation code fixed
- Changes from version 5.7.2:
  + Enhancements:
  - The functionality from the draft
    ChannelDispatcher.Interface.Hints and
    ChannelRequest.Interface.Hints interfaces is now on the main
    CD and CR interfaces, since it became stable in
    telepathy-spec 0.21.5.
  - fdo#32979: AccountManager.Interface.Hidden.DRAFT1
  + Changes to unstable API:
  - Support for the draft MinimumPresence interface has been
    removed.
  + Fixes:
  - Various bugs in the test suite, some caused by telepathy-glib
    changes and others which have been lingering for a while,
    have been fixed.
  - Certain account properties, such as Nickname, are now more
    reliably saved to disk when they are updated.
  - The 'commit' virtual method for account storage plugins is
    once again optional, as documented and as was previously the
    case. (fdo#32153)
  - libaccounts backend cannot be as eager to flush to disc as
    the regular keyfile backend as it is shared and excessive
    locking can interfere with other libaccounts clients.
- Changes from version 5.7.1:
  + Enhancements:
  - mc-tool: Improved error message for nonexistent accounts
  - Removed obsolete mapping of TP_ERROR_NOT_AVAILABLE to
    MC_CONTACT_DOES_NOT_SUPPORT_VOICE_ERROR.
  + Fixes:
  - fdo#24779: CurrentPresence is Offline for online connections
    not implementing SimplePresence.
- Changes from version 5.7.0:
  + Enhancements:
  - fdo#31467: Account.Interface.Addressing interface
  - fdo#31263: implement stable Conn.I.PowerSaving, and
    optionally integrate it with Maemo's MCE service.
  - fdo#30000: implement draft ChannelDispatcher.I.Hints and
    ChannelRequest.I.Hints.
  + Fixes:
  - fdo#31678: AccountManager.AccountRemoved signal could be
    skipped.
  - fdo#31680: g_error() on dbus name acquisition_progressition
    failure was interpreted as a core dump by automated test
    suites, resulting in a lot of false alarms
* Thu Nov 18 2010 vuntz@opensuse.org
- Update to version 5.6.1:
  + Enhancements:
  - Make mc-tool support object paths, and improve the help
  + Fixes:
  - fdo#30447: don't "return x()", where x returns void, in void
    functions
  - fdo#30448: make type of mcp_account_storage_get_restrictions
    consistent with the header
  - Fix support for libaccounts-glib
  - Remove unnecessary use of _POSIX_C_SOURCE
* Fri Sep 17 2010 vuntz@opensuse.org
- Update to version 5.6.0:
  + Fix various build warnings in the tests
  + Fix a build warning when keyring support is disabled
  + Install a missing header file
- Drop telepathy-mission-control-build-fixes.patch: fixed upstream.
- Here's an highlight of the main changes in 5.6.0, compared to
  5.4.x:
  + MC implements features from telepathy-spec 0.20, including:
  - channels can be dispatched before a connection is CONNECTED,
    which is required for telepathy-gabble ≥ 0.9.17
  - the Account.ConnectionError property indicating the last error
  - the Account.ChangingPresence property indicating that
    presence changes are in progress
  - the Account.Service property indicating where an account is
    stored
  - ChannelDispatchOperation.HandleWithTime to set
    focus-stealing-prevention timestamps
  + libmission-control-plugins provides a more stable plugin API
    for MC. Plugins written with this library can:
  - observe, delay and influence channel dispatching, much like
    Observers
  - observe, delay and/or reject channel requests
  - store accounts elsewhere
  + Bugfixes include:
  - tries harder to invoke the same handler for an
    already-handled channel
  - calls ended locally with reason No_Answer are treated as
    missed
  - fewer writes to gnome-keyring when committing changes
  - in-band XMPP account creation works better
* Wed Sep 15 2010 vuntz@opensuse.org
- Update to version 5.5.4:
  + Enhancements:
  - fdo#26699: add support for plugins that delay requests while
    deciding whether to allow them or not
  - Restructure channel-requesting code
  - Delete the old examples, which are no longer exemplary; use
    telepathy-glib or telepathy-qt4 instead of libmcclient
  - fdo#29812: add a trial implementation of the MinimumPresence
    (draft 2) API
  - fdo#30000: add a trial implementation of SucceededWithChannel
    and {Create,Ensure}ChannelWithHints
  + Fixes:
  - fdo#28915: fix a regression in which parameters that are
    unset aren't necessarily saved to the configuration file
  - Signal remote avatar deletion, for instance by another XMPP
    resource, in the same way as a remote avatar change
  - Cancel the "probation" timer when the connection is released,
    avoiding a possible crash
  - Ignore any partial pre-existing accounts that have no manager
    or protocol listed, and if a storage plugin creates a totally
    unusable account, ignore it
  - Don't crash if Proceed() is called twice
  - Various fixes for the Maemo SSO plugin
  - Fix linking with recent ld versions
- Add telepathy-mission-control-build-fixes.patch to fix some build
  warnings that are fatal in openSUSE.
* Thu Aug  5 2010 vuntz@opensuse.org
- Update to version 5.5.3:
  + Enhancements:
  - Added support for the new Account.Service property in the MC
    core code and the SSO plugin
  - Added support for the Service property to mc-tool
  - Made account storage plugins able to notify MC that a single
    account has changed externally
  - Added support for plugins that check D-Bus calls' callers
    against an ACL
  + Fixes:
  - Treat calls ended locally with No_Answer as missed
  - fdo#24645: when an existing channel is returned by
    EnsureChannel and its handler has more than one Handler bus
    name/object path sharing a unique name, MC now tries harder
    to invoke the same one as before
  - Disable accounts when they're deleted by an account storage
    plugin
  - Attempt re-connection of failed connections less rapidly
- Changes from version 5.5.2:
  + Enhancements:
  - fdo#28428: implement the new ConnectionError property from
    telepathy-spec 0.19.7, and if an Account's Connection-related
    property changes, put all the related properties in the
    change notification signal to make it easier to interpret
  + Fixes:
  - fdo#28557: write account parameters to accounts.cfg
    correctly, rather than repeatedly escaping backslash,
    newline, tab etc., which resulted in doubling the number of
    backslashes with every write.
  - fdo#28390: drastically reduce writes to gnome-keyring when
    committing changes to accounts
  - fdo#28118: clear the 'register' parameter when an account
    connects successfully, fixing in-band XMPP account creation
- Split library in a libmission-control-plugins0 subpackage.
- Remove explicit dbus-1-devel and telepathy-glib-devel Requires
  from devel package: they will automatically get added with
  pkgconfig()-style Requires.
- Remove unneeded gconf2-devel BuildRequires.
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 5.5.1:
  + Enhancements:
  - Port mc-tool from libmcclient to telepathy-glib
  - Implement McpAccountStorage::toggled so that account plugins
    can toggle the Enabled property of accounts
  - Document mission-control-plugins
  + Fixes:
  - Change names of variables that shadow global functions
- Changes from version 5.5.0:
  + Enhancements:
  - MC now has a new, smaller plugin API,
    libmission-control-plugins, which is expected to have medium-
    to long-term API/ABI stability. The API mostly mirrors the
    Telepathy D-Bus API.
  - accounts now support the ChangingPresence property from
    telepathy-spec 0.19.6
  - channel dispatch operations now support the HandleWithTime
    method from telepathy-spec 0.19.6
  - channels can be dispatched before a connection goes
    CONNECTED, which is needed for SASL authentication channels
  - compiler warnings are correctly enabled
  + Removals:
  - libmcclient is no longer installed as a separate library
    unless the old plugin interface is enabled
  - fdo #26634: the obsolete utility mc-account-convert, for
    migration from Mission Control 4, has been removed
  + Fixes:
  - don't time out channel requests until many hours have passed
  - instead of emitting AccountPropertyChanged signals in
    time-based batches with a small delay, change signals are now
    grouped into atomic changes
  - fdo#24876: no longer reimplements a GLib 2.22 method
  - fdo#25122, deb#556488: link mc-wait-for-name to GLib
    correctly
  - fdo#26597: use TpDebugSender to send debug messages over
    D-Bus
  - don't crash mc-tool when the account name is invalid
  - fdo#27015: remove a misleading reference to GConf
  - fdo#27129: update and simplify test/twisted/README
  - fdo#25684: fix detection of accounts that already exist
  - in libmcclient, don't crash on malformed profiles where a
    group is missing
- Changes from version 5.4.2:
  + Fixes:
  - don't assume that data structures borrowed from a
    TpConnectionManager remain valid after re-entering the main
    loop, which can cause a segfault on startup
  - fix a memory leak in Claim()
  - fix a failure to check for NULL, and a couple of potential
    leaks, in mc-tool
- Changes from version 5.4.1:
  + Fixes:
  - set 0 as UserActionTime when HandleWith is used
  - make tests pass with more recent telepathy-glib, which can
    call GetInterfaces twice
  - don't cache whether we have the Requests interface, which
    caused one of the tests to regress
* Wed May 12 2010 dimstar@opensuse.org
- Update to version 5.4.0:
  + Enhancements:
  - fdo#27309: implement the Observer.Recover flag from the
    forthcoming telepathy-spec 0.19.4, which lets activatable
    observers recover (in a best-effort way) after crashing, and
    lets non-activatable observers catch up on active channels
    (again in a best-effort way)
  + Fixes:
  - fdo#24875: avoid a dependency on GLib >= 2.22 which was
    accidentally introduced in 5.3.2
  - Avoid a dependency on dbus-glib 0.80
  - fdo#25122, deb#556488: link mc-wait-for-name to GLib properly
  - mc-tool: don't crash on invalid account names
  - Only time out channel requests after 5 hours
  - Remove a misleading reference to GConf
  - fdo#27021: fix error propagation when creating accounts with
    invalid properties/parameters
  - Release startup locks even for incomplete accounts, avoiding
    failure to start.
* Wed Dec 23 2009 vuntz@opensuse.org
- Change gnome-keyring-devel BuildRequires to
  libgnome-keyring-devel, following the module split upstream.
* Wed Dec  2 2009 vuntz@opensuse.org
- Do not use bindir for libexecdir.
* Sat Nov 14 2009 vuntz@opensuse.org
- Update to version 5.3.2:
  + Enhancements:
  - mc-wait-for-name: give up after 5 minutes and exit
    EX_TEMPFAIL. Also exit with EX_UNAVAILABLE (instead of 1) if
    the session bus doesn't work, EX_USAGE (instead of 1) on
    wrong arguments, and EX_USAGE (instead of g_critical() and
    never terminating) if the requested bus name is not valid
  - fdo#23651: strongly prefer the PreferredHandler for a channel
    request, and try dispatching to it even if its
    HandlerChannelFilters do not indicate that it could handle
    the channel, since this is very useful for clients like
    nautilus-sendto
  - fdo#24120: refactor McdDispatcher quite extensively:
    . always have a McdDispatchOperation for each
    McdDispatcherContext, even if no approval is needed
    . migrate the dispatching state machine into the dispatch
    operation
    . move client logic into McdClientProxy, removing the
    McdClient struct
    . migrate Client discovery and the client registry into a new
    class McdClientRegistry
    . remove many unused signals
    . use McdDispatcherContext for the plugin API and nothing
    else
  - McdHandlerMap: operate in terms of TpChannel, not McdChannel,
    to make the code less tightly coupled; watch for channels
    closing and client crashing internally, rather than relying
    on other modules
  - Run the regression tests with GLib and GObject warnings set
    to fatal
  + Fixes:
  - fdo#23687: if all Handlers with BypassApproval fail, notify
    approvers and wait for approval before trying other Handlers
  - fdo#24474: notify Observers about channels that were
    requested without going via MC, e.g. by Empathy 2.28.x
  - fdo#21003: delay the return from HandleWith until
    HandleChannels has succeeded or failed, and pass on errors;
    do not consider HandleWith(H) to be general approval for the
    channel to be handled with handlers other than H
  - fdo#24637: don't emit Finished until the channel dispatch
    operation has really finished
  - Fix a possible use-after-free when noting that a client has
    gone away
  - Avoid re-dispatching a re-requested channel to a different
    handler
  - When calling HandleChannels, use the most recent user-action
    time from among all requests that led to this channel, and
    all HandleWith() calls for this channel dispatch operation
  - Don't call ReloadConfig() on the dbus-daemon (reopening
    fdo#23921), to avoid triggering fdo#24350 in dbus-daemon and
    causing service-activations to fail
  - mc_account_conditions_call_when_ready: explain why it's OK to
    ignore the result of mc_iface_call_when_ready_int, which was
    a Coverity false-positive
  - Consider calls to be potentially-missed if they terminate for
    reason ERROR, even if we're the actor, because that's what
    happens in Gabble >= 0.8.4 if the streaming implementation
    (i.e. telepathy-farsight) discovers that none of the
    candidates work and calls Error()
  - Fix a race condition in the test
    account-manager/make-valid.py, which would sometimes
    incorrectly make it fail
  - Add a regression test for dispatching and requests being
    delayed while waiting for a plugin to make an asynchronous
    request for permission
  - Don't leak check_parameters_get_param_cb closure on error
  - In libmcclient, invoke callbacks for GetAll() in the right
    order
- Changes from version 5.3.1:
  + Dependencies:
  - Python >= 2.5 is now required for compilation
  - telepathy-glib >= 0.7.37 is now required
  + Enhancements:
  - Automatically migrate passwords and other secrets from
    accounts.cfg into the GNOME keyring (if enabled and
    available) on MC startup
  + Fixes:
  - Deal with the user's alias in a race-free way by calling
    GetAliases as well as binding to the AliasesChanged signal
  - Fix some race conditions in the regression tests
  - Fix mcd_dispatcher_get_channel_type_usage sometimes counting
    aborted channels, by introducing MCD_CHANNEL_STATUS_ABORTED
  - If we see too many transitions from CONNECTED to DISCONNECTED
    state (i.e.  we get kicked off by the server more than 3
    times in 2 minutes), stop reconnecting; also, don't reset the
    exponential backoff until we've been connected for 2 minutes.
    This avoids reconnecting in a tight loop if the server lets
    us connect, then immediately drops our connection.
  - Fix some minor memory leaks
- Changes from version 5.3.0:
  + Dependencies:
  - The GNOME Keyring library is a new optional dependency. If it
    is enabled, having the library at runtime is required, but
    having the daemon itself is optional - the current plain-text
    storage will be used for passwords if the keyring daemon is
    not available.
  + Enhancements:
  - fdo#20903: support the final version of ContactCapabilities,
    from telepathy-spec 0.17.28
  - fdo#22231: add optional gnome-keyring integration. This is
    off by default, but distributions should consider configuring
    MC with --enable-gnome-keyring to get this functionality.
  - mc-tool: show full Presence information
  - Use the "mcd" G_LOG_DOMAIN
  - fdo#23501: support TpDebugSender
  - Stop #define'ing g_object_ref, g_object_unref
  - fdo#22705: support MC_DEBUG=all
  + Fixes:
  - Escape "-" in protocol names in Account names, as required by
    the Telepathy spec
  - fdo#23818: if HandleChannels fails, try all Handlers in
    sequence before giving up
  - Refactor client locking in McdDispatcher to be more obviously
    correct
  - Don't define macros used in glibc feature-test internals,
    possibly fixing failure to build from source on Debian
    GNU/kFreeBSD
  - Fix a reference leak when shooting down an unwanted
    Connection
  - fdo#23921: force dbus-daemon to re-detect .service files on
    MC startup, as a partial workaround for D-Bus bug fdo#23925
  - fdo#23935: call AddRequest if appropriate even on clients
    that match only channels with Requested=true, and use
    requested channels' complete properties in preference to the
    properties that were requested
  - Make signed values in .client files work instead of g_critical'ing
- Add gnome-keyring-devel BuildRequires and pass
  - -enable-gnome-keyring to configure.
* Thu Oct  8 2009 vuntz@opensuse.org
- Update to version 5.2.6:
  + Enhancements:
  - mc-wait-for-name: give up after 5 minutes and exit
    EX_TEMPFAIL. Also exit with EX_UNAVAILABLE (instead of 1) if
    the session bus doesn't work, EX_USAGE (instead of 1) on
    wrong arguments, and EX_USAGE (instead of g_critical() and
    never terminating) if the requested bus name is not valid
  + Fixes:
  - mc_account_conditions_call_when_ready: explain why it's OK to
    ignore the result of mc_iface_call_when_ready_int, which was
    a Coverity false-positive
  - Consider calls to be potentially-missed if they terminate for
    reason ERROR, even if we're the actor, because that's what
    happens in Gabble >= 0.8.4 if the streaming implementation
    (i.e. telepathy-farsight) discovers that none of the
    candidates work and calls Error()
  - Fix a race condition in the test
    account-manager/make-valid.py, which would sometimes
    incorrectly make it fail
  - Add a regression test for dispatching and requests being
    delayed while waiting for a plugin to make an asynchronous
    request for permission
* Mon Sep 28 2009 vuntz@opensuse.org
- Update to version 5.2.5:
  + Fixes:
  - If we see too many transitions from CONNECTED to DISCONNECTED
    state (i.e.  we get kicked off by the server more than 3
    times in 2 minutes), stop reconnecting; also, don't reset the
    exponential backoff until we've been connected for 2 minutes.
    This avoids reconnecting in a tight loop if the server lets
    us connect, then immediately drops our connection.
  - fdo#23935: call AddRequest if appropriate even on clients
    that match only channels with Requested=true, and use
    requested channels' complete properties in preference to the
    properties that were requested
  - Make signed values in .client files work instead of
    g_critical'ing
  - Add MCD_CHANNEL_STATUS_ABORTED to avoid sometimes counting
    aborted channels in mcd_dispatcher_get_channel_type_usage
  - Fix some minor memory leaks
- Changes from version 5.2.4:
  + Fixes:
  - Deal with the user's alias in a race-free way by calling
    GetAliases as well as binding to the AliasesChanged signal
  - Fix a reference leak when recovering from a connection being
    cancelled before RequestConnection has returned
  - Stop abusing glibc internal feature-test macros
  - Fix some race conditions in the regression tests
* Mon Sep 14 2009 vuntz@opensuse.org
- Update to version 5.2.3:
  + Fixes:
  - fdo#23807: even if someone without gconf headers makes the
    tarball, ship the necessary files so people with gconf
    headers can compile it
  - Resync what's in git with what's in tarball releases: remove
    some unused source files from git, add more support files to
    tarballs, and don't distribute any generated source in
    tarballs
- Remove mc-account-convert.1, fixed upstream.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 5.2.2:
  + Enhancements:
  - Better debug output under various circumstances, including
    outputting the version number on startup
  - Add the concept of always-on accounts, which can't be
    disabled or otherwise put offline
  - Try to set initial presence before calling Connect
  + Fixes:
  - fdo#23778: make sure account details (including passwords)
    are stored in directories readable only by the user.
  - Replace deprecated g_strcasecmp with g_ascii_strcasecmp
  - Don't close old-style Tubes channels if they can't be
    dispatched, since that closes the new-style
    StreamTube/DBusTube channels that everyone should be using,
    as a side-effect
- Add mc-account-convert.1 as source: it's missing in this tarball
  (fdo#23807)
* Sun Aug 30 2009 vuntz@novell.com
- Remove libtelepathy-devel, gnome-keyring-devel BuildRequires.
- Remove libtelepathy-devel Requires from devel package.
* Thu Aug 27 2009 dimstar@opensuse.org
- Update to version 5.2.1:
  + This release contains numerous changes, see NEWS for details.
    It is needed to have newer empathy work.
  + Most important changes are:
  - Clients are no longer expected to implement the
    ChannelHandler interface.
  - The design of channel dispatching copes better with having
    multiple user interface components installed.
  - Accounts' presence, avatar and nickname are now independent
  - Accounts no longer have to belong to a "profile"
  - Accounts are now stored in a flat file, rather than by
    abusing GConf
  - libmissioncontrol-server has changed its API and ABI
    considerably, and is not yet considered stable.
  - libmissioncontrol no longer exists, and has been replaced by
    libmcclient
* Tue May 12 2009 vuntz@novell.com
- Tag lockdown-protocols.patch.
- Remove checks for old versions of openSUSE.
* Fri Jan  9 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Sun Oct 26 2008 gburt@suse.de
- Modify lockdown-protocols.patch to use protocols_locked_down
    gconf bool to determine whether to filter the allowed protocols
    at all.  Fixes bnc#437105.
* Mon Sep 22 2008 gburt@suse.de
- Add lockdown-protocols.patch that allows specifying a list of
    allowed protocols in GConf.  Part of fate#3126.
* Fri Jul 25 2008 hfiguiere@suse.de
- Upgrade to 4.67
  + Don't try to close the channel, if the proxy is already invalidated.
  + Fixes: #1936865
  + Store passwords in gnome-keyring, if available. Fixes: #1928094, #1938135
  + Add DBus CFLAGS when compiling. Fixes: #1988768
  + Give the system proxy settings higher priority over the account
    profile/protocol defaults. Fixes: NB#2009342.
  + Set register param to FALSE once connected. Fixes: NB#1763775.
- Build with gnome-keyring support
* Fri Apr  4 2008 hfiguiere@suse.de
- Fix a type that cause build breakage
* Thu Apr  3 2008 hfiguiere@suse.de
- Make the spec file nicer
  + use fdupes
  + refactor using proper macros
  + add missing requires for the -devel package
* Mon Mar 31 2008 vuntz@suse.de
- Update to version 4.64:
  + Fix a crash when dispatching a channel to external filters.
- Changes from version 4.63:
  + Add Account and AccountManager specifications, and implement
    stubs in libmcclient.
  + Bug fixes.
- Changes from version 4.62:
  + Fix warning.
- Changes from version 4.61:
  + Migrate some code from libtelepathy to telepathy-glib.
  + Bug fixes.
- Add python and telepathy-glib-devel buildrequires.
* Tue Mar 18 2008 hfiguiere@suse.de
- Initial checkin
